> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lucitra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Drift

> Detect drift between a new dataset and a baseline validation report.

Runs a new validation on the dataset, then compares scores against the
baseline report. Returns severity classification based on score deltas.



## OpenAPI

````yaml /openapi.json post /v1/observe/drift
openapi: 3.1.0
info:
  title: Lucitra Validate API
  version: 0.1.0
servers: []
security: []
paths:
  /v1/observe/drift:
    post:
      tags:
        - observability
      summary: Check Drift
      description: |-
        Detect drift between a new dataset and a baseline validation report.

        Runs a new validation on the dataset, then compares scores against the
        baseline report. Returns severity classification based on score deltas.
      operationId: check_drift_v1_observe_drift_post
      parameters:
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DriftCheckRequest'
      responses:
        '202':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DriftReportResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DriftCheckRequest:
      properties:
        dataset_id:
          type: string
          format: uuid
          title: Dataset Id
        baseline_report_id:
          type: string
          format: uuid
          title: Baseline Report Id
      type: object
      required:
        - dataset_id
        - baseline_report_id
      title: DriftCheckRequest
    DriftReportResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        dataset_id:
          type: string
          format: uuid
          title: Dataset Id
        baseline_report_id:
          type: string
          format: uuid
          title: Baseline Report Id
        current_report_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Current Report Id
        status:
          type: string
          title: Status
        severity:
          anyOf:
            - type: string
            - type: 'null'
          title: Severity
        drift_scores:
          anyOf:
            - $ref: '#/components/schemas/DriftScores'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        created_at:
          type: string
          format: date-time
          title: Created At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
      type: object
      required:
        - id
        - dataset_id
        - baseline_report_id
        - status
        - created_at
      title: DriftReportResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DriftScores:
      properties:
        overall_delta:
          type: integer
          title: Overall Delta
        coverage_delta:
          anyOf:
            - type: integer
            - type: 'null'
          title: Coverage Delta
        physics_delta:
          anyOf:
            - type: integer
            - type: 'null'
          title: Physics Delta
        distribution_delta:
          anyOf:
            - type: integer
            - type: 'null'
          title: Distribution Delta
        sim_to_real_delta:
          anyOf:
            - type: integer
            - type: 'null'
          title: Sim To Real Delta
        baseline_overall:
          type: integer
          title: Baseline Overall
        current_overall:
          type: integer
          title: Current Overall
      type: object
      required:
        - overall_delta
        - baseline_overall
        - current_overall
      title: DriftScores
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````